% Übung 9

mu_sigma_zul = 55000;
sigma_sigma_zul = 2886.2;
mu_gamma_L_H = 25;
sigma_gamma_L_H = 9.5;

% a)

mu_Z = 0.015*mu_sigma_zul-12.5*mu_gamma_L_H-12*12.5;
sigma_Z = sqrt(0.015^2*sigma_sigma_zul^2+12.5^2*sigma_gamma_L_H^2);

p_f = normcdf(-mu_Z/sigma_Z,0,1);

fprintf('p_f = %12.10f\n\n',p_f);


% b)

N = 100000;


sigma_zul = random('normal',mu_sigma_zul,sigma_sigma_zul,N,1);
gamma_L_H = random('normal',mu_gamma_L_H,sigma_gamma_L_H,N,1);

Z = 0.015*sigma_zul-(12+gamma_L_H)*12.5;

p_f_sim_ = sum(Z<0)/N;
fprintf('p_f_sim = %12.10f\n\n',p_f_sim_);


% wie stark schwankt dieses Ergebnis, wenn wir dies 500x wiedegammalen?
for i=1:500
    sigma_zul = random('normal',mu_sigma_zul,sigma_sigma_zul,N,1);
    gamma_L_H = random('normal',mu_gamma_L_H,sigma_gamma_L_H,N,1);

    Z = 0.015*sigma_zul-(12+gamma_L_H)*12.5;

    p_f_sim(i) = sum(Z<0)/N;

end

histogram(p_f_sim,0.0016:.0001:0.0027)

fprintf('mean(p_f_sim) = %12.10f\n\n',mean(p_f_sim));
