% Übung 2

clear all
close all

% Wetter
% (a)


Wetter = readtable('UE01_Daten.xlsx','Sheet','Wetter');
D = Wetter.Variables;  % alle Spalten 

J = D(:,1);  % Jahr
T = D(:,2);  % Temperatur
N = D(:,3);  % Niederschlag
S = D(:,4);  % Sonnenschein

nexttile
plot(J,T,'o')
xlabel('Jahr')
ylabel('Temperatur [°C]')
grid on

nexttile
plot(T,N,'o')
xlabel('Temperatur [°C]')
ylabel('Niederschlag [mm]')
grid on

nexttile
plot(T,S,'o')
xlabel('Temperatur [°C]')
ylabel('Sonnenschein [h]')
grid on

nexttile
plot(N,S,'o')
xlabel('Niederschlag [mm]')
ylabel('Sonnenschein [h]')
grid on


figure
plot3(N,S,T,'o')
hold on
I = find(J>1970);
plot3(N(I),S(I),T(I),'ro')
xlabel('Niederschlag [mm]')
ylabel('Sonnenschein [h]')
zlabel('Temperatur [°C]')
axis vis3d
% (b)

C = corr([J,T,N,S])
fprintf('                   Jahr    Temperatur Niederschlag Sonnenschein\n')
fprintf('Jahr           %10.6f %10.6f %10.6f   %10.6f\n',C(1,:));
fprintf('Temperatur     %10.6f %10.6f %10.6f   %10.6f\n',C(2,:));
fprintf('Niederschlag   %10.6f %10.6f %10.6f   %10.6f\n',C(3,:));
fprintf('Sonnenschein   %10.6f %10.6f %10.6f   %10.6f\n',C(4,:));



% Studenten
% (a)
figure

S = readtable('UE01_Daten.xlsx','Sheet','Studenten');



nexttile
plot(S.Groesse,S.Gewicht,'o')
xlabel('Größe [cm]')
ylabel('Gewicht [kg]')
grid on

nexttile
plot(S.Groesse,S.Arm_Beinbrueche,'o')
xlabel('Größe [cm]')
ylabel('Arm & Beinbrüche')
grid on

nexttile
plot(S.Gewicht,S.Arm_Beinbrueche,'o')
xlabel('Gewicht [kg]')
ylabel('Arm & Beinbrüche')
grid on



% (b)

C = corr(S.Variables)
T = array2table(C);
T.Properties.VariableNames = {'Größe','Gewicht','Arm & Beinbruch'};
T.Properties.RowNames = T.Properties.VariableNames;
T


