% Übung 10

T = readtable('UE10.xlsx');

% Die Spalte für R hat einen komischen Namen bekommen. Wir lesen besser die
% Spalte phi und enfernen die NaNs und berechnen dann R=tan(phi)

phi = T.phi(~isnan(T.phi));
R = tan(phi*pi/180); % Achtung in rad umrechnen

mu_R = mean(R);
sigma_R = std(R);

a = 1;
b = 1;
gamma = 19.8;   

% a)

Qp = 1.645;
gamma_R = 1.3;

Rk = mu_R-Qp*sigma_R;
Rd = Rk/gamma_R;

fprintf('Rd = %12.8f\n',Rd);

% b)

Q_S = 1.645;
gamma_S = 1;

nu_S = 0.1;
mu_S = 100;
sigma_S = nu_S*mu_S;

Sk = mu_S+Qp*sigma_S;
Sd = gamma_S*Sk;

fprintf('Sd = %12.8f\n',Sd);

% c)

R = Rd; % !!!!!!
sinphi = R/sqrt(1+R^2);
N = (1+sinphi)/(1-sinphi)*exp(pi*R);

L = @(t) a*b*gamma*(b*(N-1)*R*(1-0.3*b/a) + t*N*(1+b/a*sinphi))-Sd;

fsolve(L,1)


